<!doctype html>
<html>
    <head>
    <meta charset="utf-8">
    <title>Documento sin título</title>
    <script type="text/javascript">
	this.g={};
	g.x=0;
	g.y=0;
      function dibujarCanvas(){
		  	g.canvas = document.getElementById('miCanvas');
			g.contexto = g.canvas.getContext('2d');
			//setInterval(f1,10);
			f1();
			window.addEventListener("keydown",f2);
        }
		
		function f2(){
			//console.log(event.which);
			switch(event.which){
				case 38:
					g.direccion="arriba";
					break;
				case 40:
					g.direccion="abajo";
					break;
				case 37:
					g.direccion="izquierda";
					break;
				case 39:
					g.direccion="derecha";
					break;				
			}
		}
		
		function f1(){
			//setTimeout( function () { window.requestAnimationFrame(f1) }, 5); 
			window.requestAnimationFrame(f1); 
			switch(g.direccion){
				case "arriba":
					g.y-=1;
					break;
				case "abajo":
					g.y+=1;
					break;
				case "izquierda":
					g.x-=1;
					break;
				case "derecha":
					g.x+=1;
					break;				
				default:
					break;	
			}
			
			g.contexto.fillStyle = '#000'; 
			g.contexto.fillRect(0, 0, g.canvas.width, g.canvas.height); 
			g.contexto.fillStyle = '#CCCCCC';
			g.contexto.fillRect (g.x, g.y, 15, 15);
		}
		
		window.addEventListener("load",dibujarCanvas);
		
    </script>
    </head>

    <body>
</head>
<body>
<canvas id="miCanvas" width="450" height="350" style="background:#999">Su navegador no soporta Canvas.</canvas>
</body>
</html>
</body>
</html>
